Announcement

Collapse
No announcement yet.

New release: 0.16

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • New release: 0.16

    Finally got around to tagging a new release!

    Big user-visible changes:
    - Richer ecu control in obdsim, including support for all the major protocols and variable timeouts
    - LiveKML , for live viewing of logged data in google earth [demo here, just click submit with the default settings]
    - Several long-standing bug fixes, performance improvements, and possible fixes for several types of vehicles that may have exhibited problems before

    Full ChangeLog for this version:
    Code:
    Version 0.16 (released 2011-05-26)
     comm: Much longer timeout for devices that take a long time to init
     kml: minor performance and SQL cosmetic fixes
     logger: fix long-standing bug when gps sometimes appears to lock up
     Initial add of livekml PHP script for watching live Google Earth
     Conf: Accept hex PIDs as well as human names for log_columns
     Sim Cycle gen: provide pids up to 0x60
     build: Option to use systemwide sqlite3 lib instead of local copy
     Sim: Support protocols with ATSP{A,}{0-9,A-C}, show appropriate headers
     Sim: Add --benchmark option for occasional updates
     Sim: Refactor to simplify main loop
     Sim: Add a timeout for each individual ecu
     Sim: Add simple checksum when headers are enabled
     Sim: ATD{0,1} support
    Have fun,
    Gary (-;
    Last edited by chunkyks; 05-26-2011, 02:10 PM.
    OBDGPSLogger, for logging OBDII and/or GPS data
    OBDSim, an OBDII/ELM327 software simulator
    mp3car forums: obdgpslogger, obdsim

  • #2
    Just baked a build of obdsim windows:
    http://icculus.org/obdgpslogger/down...2011-05-28.zip

    Have fun,
    Gary (-;
    OBDGPSLogger, for logging OBDII and/or GPS data
    OBDSim, an OBDII/ELM327 software simulator
    mp3car forums: obdgpslogger, obdsim

    Comment


    • #3
      Built and installed today on ubuntu 10.04, works with cars that gave comm errors on 0.15

      ta chucky!

      Comment


      • #4
        I'm not able to build this version so far with gpsd v3.5-1 libgps
        From http://gpsd.berlios.de/protocol-tran...a_new_protocol it looks like there was an api change?

        make fails: "gpscomm.c:29:9: error: too few arguments to function 'gps_open'"

        Same with svn repo version 587

        Comment

        Working...
        X